Subject: [bug#42681] [PATCH core-updates] gnu: bootstrap-gcc: Don't use CPATH search paths.

From: Efraim Flashner <[email-masked]>
Date: Tue, 4 Aug 2020 09:00:06 +0300

On Mon, Aug 03, 2020 at 01:03:52PM +0200, Jakub Kądziołka wrote:
> On Mon, Aug 03, 2020 at 09:40:26AM +0300, Efraim Flashner wrote:
> > On Sun, Aug 02, 2020 at 10:34:21PM +0200, Jakub Kądziołka wrote:
> > > This updates the bootstrap-gcc to use the same search path strategy as
> > > the main compilers, making the bootstrap environment more similar across
> > > architectures, and fixing the bootstrap path on non-x86 architectures
> > > again.
> > > 
> > > This is a follow up to commit 7cde865f12dd67e55946a52a21103e71f447eced.
> > > 
> > > * gnu/packages/bootstrap.scm (%bootstrap-gcc)[native-search-paths]: Use
> > >   C_INCLUDE_PATH and CPLUS_INCLUDE_PATH instead of CPATH.
> > > ---
> > > 
> > > Note: because I don't have any non-x86 machines on hand, I haven't
> > > actually tested the patch yet.
> > > 
> > > Efraim, you have helped me investigate this with your ARM board, perhaps
> > > you could test this patch?
> > > 
> > > Regards,
> > > Jakub Kądziołka
> > >  gnu/packages/bootstrap.scm | 5 ++++-
> > >  1 file changed, 4 insertions(+), 1 deletion(-)
> > > 
> > > diff --git a/gnu/packages/bootstrap.scm b/gnu/packages/bootstrap.scm
> > > index c39e60ec8b..fd6c2e099c 100644
> > > --- a/gnu/packages/bootstrap.scm
> > > +++ b/gnu/packages/bootstrap.scm
> > > @@ -740,8 +740,11 @@ exec ~a/bin/.gcc-wrapped -B~a/lib \
> > >                             "1m5miqkyng45l745n0sfafdpjkqv9225xf44jqkygwsipj2cv9ks")))))))))
> > >      (native-search-paths
> > >       (list (search-path-specification
> > > -            (variable "CPATH")
> > > +            (variable "C_INCLUDE_PATH")
> > >              (files '("include")))
> > > +           (search-path-specification
> > > +            (variable "CPLUS_INCLUDE_PATH")
> > > +            (files '("include/c++" "include")))
> > >             (search-path-specification
> > >              (variable "LIBRARY_PATH")
> > >              (files '("lib" "lib64")))))
> > > -- 
> > > 2.28.0
> > > 
> > 
> > I'm building out to hello on my aarch64 board now, starting from
> > make-boot0 apparently. Guile is only listed once so hopefully it won't
> > take too long.
> 
> Thanks!
> 
> > I assume this doesn't break anything on x86_64?
> 
> I don't have hello built on current core-updates (it also wants to start
> from make-boot0), but I have confirmed that guix build --no-grafts -d
> hello returns the same derivation path before and after the commit.
> %bootstrap-gcc is not present at all in the package graph on x86.
> 
> Regards,
> Jakub Kądziołka

I was able to successfully build all the way out to hello on
aarch64-linux.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted